---
title: "Update team invite status"
url: "https://docs.signnow.com/docs/manage-users/operations/patch-v2-teams-request_id-request"
type: "endpoint"
section: "manage-users"
slug: "manage-users/operations/patch-v2-teams-request_id-request"
method: "PATCH"
path: "/v2/teams/{request_id}/request"
operation_id: "patch-v2-teams-request_id-request"
authorization: "bearer"
---

# Update team invite status

`PATCH /v2/teams/{request_id}/request`

Allows API users to update the status of invite to join the team. Works only for the invite requests with the `waiting` status.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `request_id` | string | Yes | ID of the invite to join the team. |

## Header Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `Content-type` | string | No | application/json |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "request_status"
  ],
  "properties": {
    "request_status": {
      "type": "string",
      "description": "The updated status of the invite request. Possible values:  `denied`, `declined`, `approved`."
    }
  }
}
```

**Example** (`Updated status: approved`)

```json
{
  "request_status": "approved"
}
```

## Responses

### 200

Success

**Example** (`Success`)

```json
{
  "result": "success"
}
```

### 400

* User declines the invite which is not in the `waiting` status
* User accepts/denies invite which isn't addressed to them
* Request ID doesn't exist
* User who updates the invite is a member of the Organization with specific parameters

**Example** (`Request ID doesn't exist`)

```json
{
  "errors": [
    {
      "code": 66392,
      "message": "Team request not found"
    }
  ]
}
```

**Example** (`Accepts/denies somebody's invite `)

```json
{
  "errors": [
    {
      "code": 12023003,
      "message": "You cannot access somebody else's team request"
    }
  ]
}
```

**Example** (`Declines the not `waiting` invite `)

```json
{
  "errors": [
    {
      "code": 12023004,
      "message": "This request is not pending"
    }
  ]
}
```

**Example** (`Organization with specific parameters`)

```json
{
  "errors": [
    {
      "code": 65615,
      "message": "Your Organization restricts you from joining this team"
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X PATCH \
  "https://api.signnow.com/v2/teams/{request_id}/request" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"request_status": "approved"}'
```

---
*Full reference: https://docs.signnow.com/docs/manage-users/operations/patch-v2-teams-request_id-request*
